Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 511414 - sys-apps/util-linux-2.24.1-r3 - add prefix compatibility
Summary: sys-apps/util-linux-2.24.1-r3 - add prefix compatibility
Status: RESOLVED OBSOLETE
Alias: None
Product: Gentoo/Alt
Classification: Unclassified
Component: Prefix Support (show other bugs)
Hardware: All Linux
: Normal normal with 1 vote (vote)
Assignee: Gentoo Prefix
URL:
Whiteboard:
Keywords: PATCH
Depends on:
Blocks:
 
Reported: 2014-05-25 01:35 UTC by Greg Turner
Modified: 2018-03-01 16:54 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
util-linux-2.24.1-r4-prefix-compatibility-000.patch (util-linux-2.24.1-r4-prefix-compatibility-000.patch,5.00 KB, patch)
2014-05-25 01:35 UTC, Greg Turner
Details | Diff
util-linux-2.24.1-eprefixify-magic-libdir.patch (util-linux-2.24.1-eprefixify-magic-libdir.patch,532 bytes, patch)
2014-05-25 01:36 UTC, Greg Turner
Details | Diff
sys-apps_util-linux-prefixification-overlaylet-000.tar.xz (sys-apps_util-linux-prefixification-overlaylet-000.tar.xz,21.21 KB, application/x-xz)
2014-05-25 01:39 UTC, Greg Turner
Details
sys-apps_util-linux-prefixification-overlaylet-001.tar.xz (sys-apps_util-linux-prefixification-overlaylet-001.tar.xz,21.21 KB, application/x-xz)
2014-05-30 21:11 UTC, Greg Turner
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Greg Turner 2014-05-25 01:35:02 UTC
Created attachment 377586 [details, diff]
util-linux-2.24.1-r4-prefix-compatibility-000.patch

Since prefix portage can't just revbump/bot-merge the latest sys-apps/util-linux, this seems like as good a time as any to try to get the considerable prefix_portage deltas for this ebuild merged upstream.

here is a version that works

o on my stupidly nonstandard multilib ~amd64 workstation
o in a ~x86 prefix hosted by my workstation

With any luck, it'll also work for most arches and profiles; I'd prefer to hear that at least one person with a more vanilla system than mine had success with it before it got keyworded.

The difference between the two is larger than I'd prefer, largely due to removal of trailing slashes where I converted a string to a bash array.  I'm attaching:

First, as a pair of patches: one to the ebuild, showing just the difference from gx86's newest ebuild to mine, and, along with that, one new required patch for ${FILESDIR}, which is a trivial prefix compatibility patch (but ime fixes a fairly non-obvious problem).

Second, as an "overlaylet," to coin a phrase -- a tarball which can be imaged on top of a working overlay to try the ebuild out with minimal fuss.  They should be exactly equivalent -- I simply thought the former to be more suitable for reading, and the latter for trying out:

Pseudo-changelog:
=================

add files/util-linux-2.24.1-eprefixify-magic-libdir.patch, which fixes a problem that otherwise results in several files installed in silly ${EPREFIX}/usr/${EPREFIX} paths.

apply the patch and reautoconf on prefix (otherwise, not)

skip gen_usr_ldscript on prefix

merge the various deltas that already exist between prefix_portage's sys-apps/util-linux-2.24.ebuild and gx86's sys-apps/util-linux-2.24.ebuild.  Specifically these:

  o add some "${EPREFIX}"es to some paths
  o address bug #350841 by disabling libuuid on selected OSX arch's
    (I slightly retooled the code for this, but should be a noop)
  o disable lots of util-linux programs on prefix
  o ignore tons of use-flags on prefix (without masking them or adding any
    REQUIRED_USE logic) and instead go with default configure recipes for them

Some of those bullet points strike me as questionable behavior -- notably the latter two -- but I didn't try to deal with that, thusfar at least.  I just merged what was already in prefix_portage.

Be that as it may, evaluating the merits of those behaviors in this bug seems appropriate, if what we're going to do next is to upstream them.  I don't really know the full story there, or have any strong opinions/preferences about it; perhaps others do?
Comment 1 Greg Turner 2014-05-25 01:36:31 UTC
Created attachment 377588 [details, diff]
util-linux-2.24.1-eprefixify-magic-libdir.patch

Here is a new patch file the ebuild needs in files/
Comment 2 Greg Turner 2014-05-25 01:39:40 UTC
Created attachment 377590 [details]
sys-apps_util-linux-prefixification-overlaylet-000.tar.xz

This is the drop in "overlaylet" which can be used to quickly test if you have a scratch-space overlay around somewhere.
Comment 3 Greg Turner 2014-05-30 21:11:09 UTC
Created attachment 377878 [details]
sys-apps_util-linux-prefixification-overlaylet-001.tar.xz

revbump/merge for =sys-apps/util-linux-2.24.2 (nothing substantive has changed so I'm leaving my old patch here)
Comment 4 Greg Turner 2018-03-01 16:54:27 UTC
This languished too long, closing.